Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-27"

Path Parameters

id
string
required

The shipment id (ship_), or the payment id (pay_) it fulfills.

Body

application/json
tracking_number
string
required

The new carrier-assigned tracking number.

Response

shipment updated

account_id
string
required

The account that owns this shipment, prefixed biz_.

carrier
string | null
required

The shipping carrier detected for this shipment. Null until a tracking update identifies it.

created_at
string
required

The datetime the shipment was created (ISO 8601).

id
string
required

Shipment ID, prefixed ship_.

payment_id
string
required

The payment this shipment fulfills, prefixed pay_.

status
enum<string>
required

The current delivery status of this shipment.

Available options:
unknown,
pre_transit,
in_transit,
out_for_delivery,
delivered,
available_for_pickup,
return_to_sender,
failure,
cancelled,
error
Example:

"unknown"

tracking_number
string
required

The carrier-assigned tracking number used to look up shipment progress.

tracking_url
string
required

A customer-facing URL to track this shipment's progress.

updated_at
string
required

The datetime the shipment was last updated (ISO 8601).